%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B/Deparse.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Lingua/EN/Inflect/Number.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Role/Parameterized.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Norma
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: easy, limited, Moose-based ORM for the unafraid
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DC/DCHESTER/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Norma provides a "Mappable" role to compose into your Moose-based modules.  When you compose the role into a class, you map that class to a table in the database.  You can also specify relationships.  With the role composed, columns become attributes, and you have methods available to read and write to that table.  
Schema management is left to you.  You create your tables on your own, and Norma will discover what you've done and adapt accordingly.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

